local c_heater = table.deepcopy(data.raw.boiler.boiler)
c_heater.name = "combustion-superheater"
c_heater.minable.result = "combustion-superheater"
c_heater.target_temperature = 465
c_heater.fluid_box.minimum_temperature = 165
c_heater.fluid_box.filter = "steam"
c_heater.energy_consumption = "3.6MW"
c_heater.energy_source.effectivity = 2

data:extend({
  c_heater,
  {
    type = "item",
    name = "combustion-superheater",
    icon = "__base__/graphics/icons/boiler.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "energy",
    order = "b[steam-power]-a[boiler]b",
    place_result = "combustion-superheater",
    stack_size = 50
  },
  {
    type = "recipe",
    name = "combustion-superheater",
    ingredients = {{"steel-furnace", 1}, {"pipe", 4}},
    result = "combustion-superheater"
  }
})